Bug 249837 - should support installing to /dev/hda
should support installing to /dev/hda
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-07-27 08:24 EDT by Russell Coker
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-08 11:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2007-07-27 08:24:45 EDT
Currently anaconda forces the user to partition a disk and install to /dev/hda1
or similar.  When running in a Xen environment (where /dev/hda refers to a LVM
volume in Dom0) or a SAN (where /dev/sda refers to the SAN equivalent of a LVM
volume) there is no need to create a single partition on each "disk".  Using
partitions just makes the process of extending a filesystem needlessly complex.

Steps to Reproduce:
Try to make /dev/hda the root filesystem instead of /dev/hda1.

Additional info:
The boot loader also needs to be changed to support this.  pygrub in CentOS 5
doesn't support a non-partitioned disk and I presume the Fedora package doesn't
Comment 1 Jeremy Katz 2007-08-08 11:12:33 EDT
We don't support installing to raw disks because that's the sort of thing that
BIOSes don't boot.  If you did it in Xen, then you'd end up breaking when you
want to migrate to another virtualization technology later.

Note You need to log in before you can comment on or make changes to this bug.